domevents Class Reference

## Public Member Functions

bool | setEvents (const char *events)
bool | setEventHandler (const char *event, domeventhandler_t handler)
bool | setData (void *data)
bool | process (domnode *codetreenode)
void | setDebugLevel (uint8_t debuglevel)

## Static Public Member Functions

static domnode * | ignore (domnode *codetreenode, domnode *eventtreenode, void *data)
static domnode * | rename (domnode *codetreenode, domnode *eventtreenode, void *data)
static domnode * | revalue (domnode *codetreenode, domnode *eventtreenode, void *data)